input:focus,
textarea:focus{
	outline:none;
	box-shadow:none !important;
}
.pure-material-textfield-outlined {
	--pure-material-safari-helper1: rgb(var(--pure-material-primary-rgb, 0, 131, 202));
	position: relative;
	display: inline-block;
	padding-top: 6px;
	font-weight: 100;
	font-size: 16px;
	line-height: 1.5;
	width: 100%;
	overflow: hidden;
	background: #f0f0f0;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
}

/* Input, Textarea */
.pure-material-textfield-outlined > input,
.pure-material-textfield-outlined > textarea {
	box-sizing: border-box;
	margin: 0;
	border: solid 1px;
	border-color: #7f8385;
	border-top-color: transparent;
	border-radius: 0px;
	padding: 15px 13px 5px;
	width: 100%;
	height: inherit;
	color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.87);
	background-color: transparent;
	box-shadow: none;
	font-family: inherit;
	line-height: inherit;
	caret-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
	transition: border 0.2s, box-shadow 0.2s;
	z-index: 1;
	position: relative;
}

/* Span */
.pure-material-textfield-outlined > input + span,
.pure-material-textfield-outlined > textarea + span {
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	border-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
	width: 100%;
	max-height: 100%;
	color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
	font-size: 75%;
	line-height: 15px;
	margin-top: 6px;
	cursor: text;
	transition: color 0.2s, font-size 0.2s, line-height 0.2s;
}

/* Corners */
.pure-material-textfield-outlined > input + span::before,
.pure-material-textfield-outlined > input + span::after,
.pure-material-textfield-outlined > textarea + span::before,
.pure-material-textfield-outlined > textarea + span::after {
	content: "";
	display: block;
	box-sizing: border-box;
	margin-top: 6px;
	border-top: solid 1px;
	border-top-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
	min-width: 10px;
	height: 8px;
	pointer-events: none;
	
	transition: border-color 0.2s, box-shadow 0.2s;
}

.pure-material-textfield-outlined > input + span::before,
.pure-material-textfield-outlined > textarea + span::before {
	margin-right: 4px;
	border-left: solid 1px transparent;
	border-radius: 0px;
}

.pure-material-textfield-outlined > input + span::after,
.pure-material-textfield-outlined > textarea + span::after {
	flex-grow: 1;
	margin-left: 4px;
	border-right: solid 1px transparent;
	border-radius: 0px;
}

/* Hover */
.pure-material-textfield-outlined:hover > input,
.pure-material-textfield-outlined:hover > textarea {
	border-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.87);
	border-top-color: transparent;
}

.pure-material-textfield-outlined:hover > input + span::before,
.pure-material-textfield-outlined:hover > textarea + span::before,
.pure-material-textfield-outlined:hover > input + span::after,
.pure-material-textfield-outlined:hover > textarea + span::after {
	border-top-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.87);
}

.pure-material-textfield-outlined:hover > input:not(:focus):placeholder-shown,
.pure-material-textfield-outlined:hover > textarea:not(:focus):placeholder-shown {
	border-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.87);
}

/* Placeholder-shown */
.pure-material-textfield-outlined > input:not(:focus):placeholder-shown,
.pure-material-textfield-outlined > textarea:not(:focus):placeholder-shown {
	border-top-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
}

.pure-material-textfield-outlined > input:not(:focus):placeholder-shown + span,
.pure-material-textfield-outlined > textarea:not(:focus):placeholder-shown + span {
	font-size: inherit;
	line-height: 68px;
	z-index: 0;
	color: rgba(40, 46, 49, 0.50);
}

.pure-material-textfield-outlined > input:not(:focus):placeholder-shown + span::before,
.pure-material-textfield-outlined > textarea:not(:focus):placeholder-shown + span::before,
.pure-material-textfield-outlined > input:not(:focus):placeholder-shown + span::after,
.pure-material-textfield-outlined > textarea:not(:focus):placeholder-shown + span::after {
	border-top-color: transparent;
}



/* Disabled */
.pure-material-textfield-outlined > input:disabled,
.pure-material-textfield-outlined > input:disabled + span,
.pure-material-textfield-outlined > textarea:disabled,
.pure-material-textfield-outlined > textarea:disabled + span {
	border-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38) !important;
	border-top-color: transparent !important;
	color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
	pointer-events: none;
}

.pure-material-textfield-outlined > input:disabled + span::before,
.pure-material-textfield-outlined > input:disabled + span::after,
.pure-material-textfield-outlined > textarea:disabled + span::before,
.pure-material-textfield-outlined > textarea:disabled + span::after {
	border-top-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38) !important;
}

.pure-material-textfield-outlined > input:disabled:placeholder-shown,
.pure-material-textfield-outlined > input:disabled:placeholder-shown + span,
.pure-material-textfield-outlined > textarea:disabled:placeholder-shown,
.pure-material-textfield-outlined > textarea:disabled:placeholder-shown + span {
	border-top-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38) !important;
}

.pure-material-textfield-outlined > input:disabled:placeholder-shown + span::before,
.pure-material-textfield-outlined > input:disabled:placeholder-shown + span::after,
.pure-material-textfield-outlined > textarea:disabled:placeholder-shown + span::before,
.pure-material-textfield-outlined > textarea:disabled:placeholder-shown + span::after {
	border-top-color: transparent !important;
}

/* Faster transition in Safari for less noticable fractional font-size issue */
@media not all and (min-resolution:.001dpcm) {
	@supports (-webkit-appearance:none) {
		.pure-material-textfield-outlined > input,
		.pure-material-textfield-outlined > input + span,
		.pure-material-textfield-outlined > textarea,
		.pure-material-textfield-outlined > textarea + span,
		.pure-material-textfield-outlined > input + span::before,
		.pure-material-textfield-outlined > input + span::after,
		.pure-material-textfield-outlined > textarea + span::before,
		.pure-material-textfield-outlined > textarea + span::after {
			transition-duration: 0.1s;
		}
	}
}
